Index: /LMDZ5/branches/testing/libf/phylmd/aeropt_2bands.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/aeropt_2bands.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/aeropt_2bands.F90	(revision 2408)
@@ -22,5 +22,4 @@
 
   INCLUDE "YOMCST.h"
-  INCLUDE "iniprint.h"
 
   !
@@ -30,8 +29,6 @@
   REAL,                           INTENT(in)  :: delt
   REAL, DIMENSION(klon,klev,naero_tot),   INTENT(in)  :: m_allaer
-!RAF
   REAL, DIMENSION(klon,klev,naero_tot),   INTENT(in)  :: m_allaer_pi
   REAL, DIMENSION(klon,klev),     INTENT(in)  :: RHcl       ! humidite relative ciel clair
-!RAF  REAL, DIMENSION(klon,naero_tot),INTENT(in)  :: fractnat_allaer
   INTEGER,                        INTENT(in)  :: flag_aerosol
   REAL, DIMENSION(klon,klev),     INTENT(in)  :: pplay
@@ -49,5 +46,4 @@
   !
   REAL, DIMENSION(klon,klev,naero_tot,nbands) ::  tau_ae
-!RAF
   REAL, DIMENSION(klon,klev,naero_tot,nbands) ::  tau_ae_pi
   REAL, DIMENSION(klon,klev,naero_tot,nbands) ::  piz_ae
@@ -536,5 +532,5 @@
           A1_SSSSM_b2(klev), A2_SSSSM_b2(klev), A3_SSSSM_b2(klev),&
           B1_SSSSM_b2(klev), B2_SSSSM_b2(klev), C1_SSSSM_b2(klev), C2_SSSSM_b2(klev), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('aeropt_2bands', 'pb in allocation 1',1)
+        IF (ierr /= 0) CALL abort_physic('aeropt_2bands', 'pb in allocation 1',1)
      END IF
      
@@ -595,8 +591,5 @@
     DO i=1, klon
       zrho=pplay(i,k)/t_seri(i,k)/RD                  ! kg/m3
-!CDIR UNROLL=naero_spc
       mass_temp(i,k,:) = m_allaer(i,k,:) / zrho / 1.e+9
-!RAF zrho
-!CDIR UNROLL=naero_spc
       mass_temp_pi(i,k,:) = m_allaer_pi(i,k,:) / zrho / 1.e+9
       zdp1(i,k)=pdel(i,k)/(gravit*delt)      ! air mass auxiliary  variable --> zdp1 [kg/(m^2 *s)]
@@ -654,5 +647,4 @@
 
 
-!!CDIR ON_ADB(RH_tab)
 !CDIR ON_ADB(fact_RH)
 !CDIR SHORTLOOP
@@ -662,5 +654,4 @@
    
   DO k=1, KLEV
-!!CDIR ON_ADB(RH_tab)
 !CDIR ON_ADB(fact_RH)
     DO i=1, KLON
@@ -945,24 +936,24 @@
           DO i=1, KLON
             tau_allaer(i,k,mrfspecies,inu)=tau_ae(i,k,id_ASSO4M_phy,inu)+tau_ae(i,k,id_CSSO4M_phy,inu)+ &
-                                           tau_ae(i,k,id_ASBCM_phy,inu)+tau_ae(i,k,id_AIBCM_phy,inu)+   &						     
-                                           tau_ae(i,k,id_ASPOMM_phy,inu)+tau_ae(i,k,id_AIPOMM_phy,inu)+ &	
+                                           tau_ae(i,k,id_ASBCM_phy,inu)+tau_ae(i,k,id_AIBCM_phy,inu)+   &
+                                           tau_ae(i,k,id_ASPOMM_phy,inu)+tau_ae(i,k,id_AIPOMM_phy,inu)+ &
                                            tau_ae(i,k,id_ASSSM_phy,inu)+tau_ae(i,k,id_CSSSM_phy,inu)+   &
                                            tau_ae(i,k,id_SSSSM_phy,inu)+ tau_ae(i,k,id_CIDUSTM_phy,inu)
-	     tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
+            tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
                  
-             piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASSO4M_phy,inu)*piz_ae(i,k,id_ASSO4M_phy,inu)+ &
-                                             tau_ae(i,k,id_CSSO4M_phy,inu)*piz_ae(i,k,id_CSSO4M_phy,inu)+ &
-                                             tau_ae(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu)+ &
-                                             tau_ae(i,k,id_AIBCM_phy,inu)*piz_ae(i,k,id_AIBCM_phy,inu)+ &
-                                             tau_ae(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu)+ &
-                                             tau_ae(i,k,id_AIPOMM_phy,inu)*piz_ae(i,k,id_AIPOMM_phy,inu)+ &	
-                                             tau_ae(i,k,id_ASSSM_phy,inu)*piz_ae(i,k,id_ASSSM_phy,inu)+ &
-                                             tau_ae(i,k,id_CSSSM_phy,inu)*piz_ae(i,k,id_CSSSM_phy,inu)+ &
-                                             tau_ae(i,k,id_SSSSM_phy,inu)*piz_ae(i,k,id_SSSSM_phy,inu)+ &
-                                             tau_ae(i,k,id_CIDUSTM_phy,inu)*piz_ae(i,k,id_CIDUSTM_phy,inu)) &
+            piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASSO4M_phy,inu)*piz_ae(i,k,id_ASSO4M_phy,inu)+ &
+                                            tau_ae(i,k,id_CSSO4M_phy,inu)*piz_ae(i,k,id_CSSO4M_phy,inu)+ &
+                                            tau_ae(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu)+   &
+                                            tau_ae(i,k,id_AIBCM_phy,inu)*piz_ae(i,k,id_AIBCM_phy,inu)+   &
+                                            tau_ae(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu)+ &
+                                            tau_ae(i,k,id_AIPOMM_phy,inu)*piz_ae(i,k,id_AIPOMM_phy,inu)+ &
+                                            tau_ae(i,k,id_ASSSM_phy,inu)*piz_ae(i,k,id_ASSSM_phy,inu)+   &
+                                            tau_ae(i,k,id_CSSSM_phy,inu)*piz_ae(i,k,id_CSSSM_phy,inu)+   &
+                                            tau_ae(i,k,id_SSSSM_phy,inu)*piz_ae(i,k,id_SSSSM_phy,inu)+   &
+                                            tau_ae(i,k,id_CIDUSTM_phy,inu)*piz_ae(i,k,id_CIDUSTM_phy,inu)) &
                                             /tau_allaer(i,k,mrfspecies,inu)
-	     piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
-
-             cg_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASSO4M_phy,inu)* &
+            piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
+
+            cg_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASSO4M_phy,inu)* &
               piz_ae(i,k,id_ASSO4M_phy,inu)*cg_ae(i,k,id_ASSO4M_phy,inu)+ &
               tau_ae(i,k,id_CSSO4M_phy,inu)*piz_ae(i,k,id_CSSO4M_phy,inu)* &
@@ -992,31 +983,31 @@
         DO k=1, KLEV
           DO i=1, KLON
-!RAF
-	 	 tau_allaer(i,k,mrfspecies,inu)=tau_ae_pi(i,k,id_ASSO4M_phy,inu)+ &
+
+              tau_allaer(i,k,mrfspecies,inu)=tau_ae_pi(i,k,id_ASSO4M_phy,inu)+ &
                       tau_ae_pi(i,k,id_CSSO4M_phy,inu)+ &
-                      tau_ae_pi(i,k,id_ASBCM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_AIBCM_phy,inu)+ &
+                      tau_ae_pi(i,k,id_ASBCM_phy,inu)+  &
+                      tau_ae_pi(i,k,id_AIBCM_phy,inu)+  &
                       tau_ae_pi(i,k,id_ASPOMM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_AIPOMM_phy,inu)+ &	
-                      tau_ae_pi(i,k,id_ASSSM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_CSSSM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_SSSSM_phy,inu)+ &
+                      tau_ae_pi(i,k,id_AIPOMM_phy,inu)+ &
+                      tau_ae_pi(i,k,id_ASSSM_phy,inu)+  &
+                      tau_ae_pi(i,k,id_CSSSM_phy,inu)+  &
+                      tau_ae_pi(i,k,id_SSSSM_phy,inu)+  &
                       tau_ae_pi(i,k,id_CIDUSTM_phy,inu)
-	         tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
-
-	 	 piz_allaer(i,k,mrfspecies,inu)=(tau_ae_pi(i,k,id_ASSO4M_phy,inu)*piz_ae(i,k,id_ASSO4M_phy,inu)+ &
+              tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
+
+              piz_allaer(i,k,mrfspecies,inu)=(tau_ae_pi(i,k,id_ASSO4M_phy,inu)*piz_ae(i,k,id_ASSO4M_phy,inu)+ &
                       tau_ae_pi(i,k,id_CSSO4M_phy,inu)*piz_ae(i,k,id_CSSO4M_phy,inu)+ &
-                      tau_ae_pi(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_AIBCM_phy,inu)*piz_ae(i,k,id_AIBCM_phy,inu)+ &
+                      tau_ae_pi(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu)+   &
+                      tau_ae_pi(i,k,id_AIBCM_phy,inu)*piz_ae(i,k,id_AIBCM_phy,inu)+   &
                       tau_ae_pi(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_AIPOMM_phy,inu)*piz_ae(i,k,id_AIPOMM_phy,inu)+ &	
-                      tau_ae_pi(i,k,id_ASSSM_phy,inu)*piz_ae(i,k,id_ASSSM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_CSSSM_phy,inu)*piz_ae(i,k,id_CSSSM_phy,inu)+ &
-                      tau_ae_pi(i,k,id_SSSSM_phy,inu)*piz_ae(i,k,id_SSSSM_phy,inu)+ &
+                      tau_ae_pi(i,k,id_AIPOMM_phy,inu)*piz_ae(i,k,id_AIPOMM_phy,inu)+ &
+                      tau_ae_pi(i,k,id_ASSSM_phy,inu)*piz_ae(i,k,id_ASSSM_phy,inu)+   &
+                      tau_ae_pi(i,k,id_CSSSM_phy,inu)*piz_ae(i,k,id_CSSSM_phy,inu)+   &
+                      tau_ae_pi(i,k,id_SSSSM_phy,inu)*piz_ae(i,k,id_SSSSM_phy,inu)+   &
                       tau_ae_pi(i,k,id_CIDUSTM_phy,inu)*piz_ae(i,k,id_CIDUSTM_phy,inu)) &
                       /tau_allaer(i,k,mrfspecies,inu)
-	         piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
-
-	 	 cg_allaer(i,k,mrfspecies,inu)=(&
+              piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
+
+              cg_allaer(i,k,mrfspecies,inu)=(&
                       tau_ae_pi(i,k,id_ASSO4M_phy,inu)*piz_ae(i,k,id_ASSO4M_phy,inu)*cg_ae(i,k,id_ASSO4M_phy,inu)+ &
                       tau_ae_pi(i,k,id_CSSO4M_phy,inu)*piz_ae(i,k,id_CSSO4M_phy,inu)*cg_ae(i,k,id_CSSO4M_phy,inu)+ &
@@ -1037,10 +1028,10 @@
         DO k=1, KLEV
           DO i=1, KLON
-	    tau_allaer(i,k,mrfspecies,inu)=tau_ae(i,k,id_ASBCM_phy,inu)+tau_ae(i,k,id_AIBCM_phy,inu)
-	    tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
-	    piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu) &
+            tau_allaer(i,k,mrfspecies,inu)=tau_ae(i,k,id_ASBCM_phy,inu)+tau_ae(i,k,id_AIBCM_phy,inu)
+            tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
+            piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu) &
                       +tau_ae(i,k,id_AIBCM_phy,inu)*piz_ae(i,k,id_AIBCM_phy,inu))/ &
                       tau_allaer(i,k,mrfspecies,inu)
-	    piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
+            piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
             cg_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASBCM_phy,inu)*piz_ae(i,k,id_ASBCM_phy,inu) *cg_ae(i,k,id_ASBCM_phy,inu)&
                       +tau_ae(i,k,id_AIBCM_phy,inu)*piz_ae(i,k,id_AIBCM_phy,inu)*cg_ae(i,k,id_AIBCM_phy,inu))/ &
@@ -1054,9 +1045,9 @@
           DO i=1, KLON
             tau_allaer(i,k,mrfspecies,inu)=tau_ae(i,k,id_ASSO4M_phy,inu)+tau_ae(i,k,id_CSSO4M_phy,inu)
-	    tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
+            tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
             piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_CSSO4M_phy,inu)*piz_ae(i,k,id_CSSO4M_phy,inu) &
                       +tau_ae(i,k,id_ASSO4M_phy,inu)*piz_ae(i,k,id_ASSO4M_phy,inu))/ &
                       tau_allaer(i,k,mrfspecies,inu)
-	    piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
+            piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
             cg_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_CSSO4M_phy,inu)* &
             piz_ae(i,k,id_CSSO4M_phy,inu) *cg_ae(i,k,id_CSSO4M_phy,inu)&
@@ -1073,9 +1064,9 @@
             tau_allaer(i,k,mrfspecies,inu)=tau_ae(i,k,id_ASPOMM_phy,inu)+tau_ae(i,k,id_AIPOMM_phy,inu)
             tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
-	    piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu) &
+            piz_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu) &
                       +tau_ae(i,k,id_AIPOMM_phy,inu)*piz_ae(i,k,id_AIPOMM_phy,inu))/ &
                       tau_allaer(i,k,mrfspecies,inu)
-	    piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
-	    cg_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu) *cg_ae(i,k,id_ASPOMM_phy,inu)&
+            piz_allaer(i,k,mrfspecies,inu)=MAX(piz_allaer(i,k,mrfspecies,inu),0.1)
+            cg_allaer(i,k,mrfspecies,inu)=(tau_ae(i,k,id_ASPOMM_phy,inu)*piz_ae(i,k,id_ASPOMM_phy,inu)*cg_ae(i,k,id_ASPOMM_phy,inu)&
                       +tau_ae(i,k,id_AIPOMM_phy,inu)*piz_ae(i,k,id_AIPOMM_phy,inu)*cg_ae(i,k,id_AIPOMM_phy,inu))/ &
                       (tau_allaer(i,k,mrfspecies,inu)*piz_allaer(i,k,mrfspecies,inu))
@@ -1088,7 +1079,7 @@
           DO i=1, KLON
             tau_allaer(i,k,mrfspecies,inu)=tau_ae(i,k,id_CIDUSTM_phy,inu)
-	    tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
+            tau_allaer(i,k,mrfspecies,inu)=MAX(tau_allaer(i,k,mrfspecies,inu),1e-5)
             piz_allaer(i,k,mrfspecies,inu)=piz_ae(i,k,id_CIDUSTM_phy,inu)
-	    cg_allaer(i,k,mrfspecies,inu)=cg_ae(i,k,id_CIDUSTM_phy,inu)
+            cg_allaer(i,k,mrfspecies,inu)=cg_ae(i,k,id_CIDUSTM_phy,inu)
           ENDDO
         ENDDO
@@ -1136,10 +1127,9 @@
     ENDDO
   ENDDO
-   
 
   inu=1
   DO i=1, KLON
      absvisaer(i)=SUM((1-piz_allaer(i,:,:,inu))*tau_allaer(i,:,:,inu))
-  END DO	
+  ENDDO
 
   DEALLOCATE(aerosol_name) 
Index: /LMDZ5/branches/testing/libf/phylmd/aeropt_5wv.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/aeropt_5wv.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/aeropt_5wv.F90	(revision 2408)
@@ -67,6 +67,4 @@
   !
   REAL, DIMENSION(klon), INTENT(out)          :: ai      ! POLDER aerosol index 
-!  REAL, DIMENSION(klon,nwave,naero_spc), INTENT(out)      :: tausum
-!  REAL, DIMENSION(klon,klev,nwave,naero_spc), INTENT(out) :: tau
   REAL, DIMENSION(klon,nwave,naero_tot), INTENT(out)      :: tausum
   REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(out) :: tau
@@ -588,5 +586,5 @@
           A1_SSSSM(klev), A2_SSSSM(klev), A3_SSSSM(klev),&
           B1_SSSSM(klev), B2_SSSSM(klev), C1_SSSSM(klev), C2_SSSSM(klev), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('aeropt_5mw', 'pb in allocation 1',1)
+        IF (ierr /= 0) CALL abort_physic('aeropt_5mw', 'pb in allocation 1',1)
      END IF
 
@@ -626,9 +624,6 @@
   DO k=1, klev
     DO i=1, klon
-!      IF (t_seri(i,k).EQ.0) stop 'stop aeropt_5wv T '
-!      IF (pplay(i,k).EQ.0) stop  'stop aeropt_5wv p '
       zrho=pplay(i,k)/t_seri(i,k)/RD                  ! kg/m3
       dh(i,k)=pdel(i,k)/(gravit*zrho)
-!CDIR UNROLL=naero_spc
       mass_temp(i,k,:) = m_allaer(i,k,:) / zrho / 1.e+9
       zdp1(i,k)=pdel(i,k)/(gravit*delt)     ! air mass auxiliary  variable --> zdp1 [kg/(m^2 *s)]
@@ -760,9 +755,7 @@
     ENDIF
 
-!Bug 21 12 10 AI
-!    used_tau(spsol)=.TRUE.
     IF (soluble) then
       used_tau(spsol)=.TRUE.
-       ELSE
+    ELSE
       used_tau(naero_soluble+spinsol)=.TRUE.
     ENDIF
@@ -866,12 +859,14 @@
      DO m=1,naero_spc
         od550aer(i)=od550aer(i)+tausum(i,2,m)
-     END DO
-  END DO
+     ENDDO
+  ENDDO
+
   DO i=1, klon
      od865aer(i)=0.
      DO m=1,naero_spc
         od865aer(i)=od865aer(i)+tausum(i,5,m)
-     END DO
-  END DO
+     ENDDO
+  ENDDO
+
   DO i=1, klon
      DO k=1, KLEV
@@ -879,13 +874,11 @@
         DO m=1,naero_spc
            ec550aer(i,k)=ec550aer(i,k)+tau(i,k,2,m)/dh(i,k)
-        END DO
-     END DO
-  END DO
+        ENDDO
+     ENDDO
+  ENDDO
   
-   od550lt1aer(:)=tausum(:,2,id_ASSO4M_phy)+tausum(:,2,id_ASBCM_phy)+tausum(:,2,id_AIBCM_phy)+ &
-	tausum(:,2,id_ASPOMM_phy)+tausum(:,2,id_AIPOMM_phy)+tausum(:,2,id_ASSSM_phy)+ &
-	0.03*tausum(:,2,id_CSSSM_phy)+0.4*tausum(:,2,id_CIDUSTM_phy)
-
-
+   od550lt1aer(:)=tausum(:,2,id_ASSO4M_phy)+tausum(:,2,id_ASBCM_phy)+tausum(:,2,id_AIBCM_phy)+  &
+                  tausum(:,2,id_ASPOMM_phy)+tausum(:,2,id_AIPOMM_phy)+tausum(:,2,id_ASSSM_phy)+ &
+                  0.03*tausum(:,2,id_CSSSM_phy)+0.4*tausum(:,2,id_CIDUSTM_phy)
 
   DEALLOCATE(aerosol_name) 
Index: /LMDZ5/branches/testing/libf/phylmd/ajsec.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ajsec.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/ajsec.F90	(revision 2408)
@@ -14,6 +14,4 @@
   ! d_t-----output-R-Incrementation de la temperature
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   REAL paprs(klon, klev+1), pplay(klon, klev)
@@ -168,6 +166,4 @@
   ! d_t-----output-R-Incrementation de la temperature
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   REAL paprs(klon, klev+1), pplay(klon, klev)
@@ -319,6 +315,4 @@
   ! d_t-----output-R-Incrementation de la temperature
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   REAL paprs(klon, klev+1), pplay(klon, klev)
Index: /LMDZ5/branches/testing/libf/phylmd/albedo.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/albedo.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/albedo.F90	(revision 2408)
@@ -1,191 +1,175 @@
+! $Id$
+module albedo
 
-! $Id$
+  IMPLICIT NONE
 
+contains
 
+  SUBROUTINE alboc(rjour, rlat, albedo)
+    USE dimphy
+    ! ======================================================================
+    ! Auteur(s): Z.X. Li (LMD/CNRS) (adaptation du GCM du LMD)
+    ! Date: le 16 mars 1995
+    ! Objet: Calculer l'albedo sur l'ocean
+    ! Methode: Integrer numeriquement l'albedo pendant une journee
 
-SUBROUTINE alboc(rjour, rlat, albedo)
-  USE dimphy
-  IMPLICIT NONE
-  ! ======================================================================
-  ! Auteur(s): Z.X. Li (LMD/CNRS) (adaptation du GCM du LMD)
-  ! Date: le 16 mars 1995
-  ! Objet: Calculer l'albedo sur l'ocean
-  ! Methode: Integrer numeriquement l'albedo pendant une journee
+    ! Arguments;
+    ! rjour (in,R)  : jour dans l'annee (a compter du 1 janvier)
+    ! rlat (in,R)   : latitude en degre
+    ! albedo (out,R): albedo obtenu (de 0 a 1)
+    ! ======================================================================
+    include "YOMCST.h"
+    include "clesphys.h"
 
-  ! Arguments;
-  ! rjour (in,R)  : jour dans l'annee (a compter du 1 janvier)
-  ! rlat (in,R)   : latitude en degre
-  ! albedo (out,R): albedo obtenu (de 0 a 1)
-  ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
-  include "YOMCST.h"
-  include "clesphys.h"
+    ! fmagic -> clesphys.h/.inc
+    ! REAL fmagic ! un facteur magique pour regler l'albedo
+    ! cc      PARAMETER (fmagic=0.7)
+    ! ccIM => a remplacer
+    ! PARAMETER (fmagic=1.32)
+    ! PARAMETER (fmagic=1.0)
+    ! PARAMETER (fmagic=0.7)
+    INTEGER npts ! il controle la precision de l'integration
+    PARAMETER (npts=120) ! 120 correspond a l'interval 6 minutes
 
-  ! fmagic -> clesphys.h/.inc
-  ! REAL fmagic ! un facteur magique pour regler l'albedo
-  ! cc      PARAMETER (fmagic=0.7)
-  ! ccIM => a remplacer
-  ! PARAMETER (fmagic=1.32)
-  ! PARAMETER (fmagic=1.0)
-  ! PARAMETER (fmagic=0.7)
-  INTEGER npts ! il controle la precision de l'integration
-  PARAMETER (npts=120) ! 120 correspond a l'interval 6 minutes
+    REAL rlat(klon), rjour, albedo(klon)
+    REAL zdist, zlonsun, zpi, zdeclin
+    REAL rmu, alb, srmu, salb, fauxo, aa, bb
+    INTEGER i, k
+    ! ccIM
+    LOGICAL ancien_albedo
+    PARAMETER (ancien_albedo=.FALSE.)
+    ! SAVE albedo
 
-  REAL rlat(klon), rjour, albedo(klon)
-  REAL zdist, zlonsun, zpi, zdeclin
-  REAL rmu, alb, srmu, salb, fauxo, aa, bb
-  INTEGER i, k
-  ! ccIM
-  LOGICAL ancien_albedo
-  PARAMETER (ancien_albedo=.FALSE.)
-  ! SAVE albedo
+    IF (ancien_albedo) THEN
 
-  IF (ancien_albedo) THEN
+       zpi = 4.*atan(1.)
 
-    zpi = 4.*atan(1.)
+       ! Calculer la longitude vraie de l'orbite terrestre:
+       CALL orbite(rjour, zlonsun, zdist)
 
-    ! Calculer la longitude vraie de l'orbite terrestre:
-    CALL orbite(rjour, zlonsun, zdist)
+       ! Calculer la declinaison du soleil (qui varie entre + et - R_incl):
+       zdeclin = asin(sin(zlonsun*zpi/180.0)*sin(r_incl*zpi/180.0))
 
-    ! Calculer la declinaison du soleil (qui varie entre + et - R_incl):
-    zdeclin = asin(sin(zlonsun*zpi/180.0)*sin(r_incl*zpi/180.0))
+       DO i = 1, klon
+          aa = sin(rlat(i)*zpi/180.0)*sin(zdeclin)
+          bb = cos(rlat(i)*zpi/180.0)*cos(zdeclin)
 
-    DO i = 1, klon
-      aa = sin(rlat(i)*zpi/180.0)*sin(zdeclin)
-      bb = cos(rlat(i)*zpi/180.0)*cos(zdeclin)
+          ! Midi local (angle du temps = 0.0):
+          rmu = aa + bb*cos(0.0)
+          rmu = max(0.0, rmu)
+          fauxo = (1.47-acos(rmu))/.15
+          alb = 0.03 + 0.630/(1.+fauxo*fauxo)
+          srmu = rmu
+          salb = alb*rmu
 
-      ! Midi local (angle du temps = 0.0):
-      rmu = aa + bb*cos(0.0)
-      rmu = max(0.0, rmu)
-      fauxo = (1.47-acos(rmu))/.15
-      alb = 0.03 + 0.630/(1.+fauxo*fauxo)
-      srmu = rmu
-      salb = alb*rmu
+          ! Faire l'integration numerique de midi a minuit (le facteur 2
+          ! prend en compte l'autre moitie de la journee):
+          DO k = 1, npts
+             rmu = aa + bb*cos(real(k)/real(npts)*zpi)
+             rmu = max(0.0, rmu)
+             fauxo = (1.47-acos(rmu))/.15
+             alb = 0.03 + 0.630/(1.+fauxo*fauxo)
+             srmu = srmu + rmu*2.0
+             salb = salb + alb*rmu*2.0
+          END DO
+          IF (srmu/=0.0) THEN
+             albedo(i) = salb/srmu*fmagic + pmagic
+          ELSE ! nuit polaire (on peut prendre une valeur quelconque)
+             albedo(i) = fmagic
+          END IF
+       END DO
 
-      ! Faire l'integration numerique de midi a minuit (le facteur 2
-      ! prend en compte l'autre moitie de la journee):
-      DO k = 1, npts
-        rmu = aa + bb*cos(real(k)/real(npts)*zpi)
-        rmu = max(0.0, rmu)
-        fauxo = (1.47-acos(rmu))/.15
-        alb = 0.03 + 0.630/(1.+fauxo*fauxo)
-        srmu = srmu + rmu*2.0
-        salb = salb + alb*rmu*2.0
-      END DO
-      IF (srmu/=0.0) THEN
-        albedo(i) = salb/srmu*fmagic + pmagic
-      ELSE ! nuit polaire (on peut prendre une valeur quelconque)
-        albedo(i) = fmagic
-      END IF
-    END DO
+       ! nouvel albedo
 
-    ! nouvel albedo
+    ELSE
 
-  ELSE
+       zpi = 4.*atan(1.)
 
-    zpi = 4.*atan(1.)
+       ! Calculer la longitude vraie de l'orbite terrestre:
+       CALL orbite(rjour, zlonsun, zdist)
 
-    ! Calculer la longitude vraie de l'orbite terrestre:
-    CALL orbite(rjour, zlonsun, zdist)
+       ! Calculer la declinaison du soleil (qui varie entre + et - R_incl):
+       zdeclin = asin(sin(zlonsun*zpi/180.0)*sin(r_incl*zpi/180.0))
 
-    ! Calculer la declinaison du soleil (qui varie entre + et - R_incl):
-    zdeclin = asin(sin(zlonsun*zpi/180.0)*sin(r_incl*zpi/180.0))
+       DO i = 1, klon
+          aa = sin(rlat(i)*zpi/180.0)*sin(zdeclin)
+          bb = cos(rlat(i)*zpi/180.0)*cos(zdeclin)
 
-    DO i = 1, klon
-      aa = sin(rlat(i)*zpi/180.0)*sin(zdeclin)
-      bb = cos(rlat(i)*zpi/180.0)*cos(zdeclin)
+          ! Midi local (angle du temps = 0.0):
+          rmu = aa + bb*cos(0.0)
+          rmu = max(0.0, rmu)
+          ! IM cf. PB  alb = 0.058/(rmu + 0.30)
+          ! alb = 0.058/(rmu + 0.30) * 1.5
+          alb = 0.058/(rmu+0.30)*1.2
+          ! alb = 0.058/(rmu + 0.30) * 1.3
+          srmu = rmu
+          salb = alb*rmu
 
-      ! Midi local (angle du temps = 0.0):
-      rmu = aa + bb*cos(0.0)
-      rmu = max(0.0, rmu)
-      ! IM cf. PB  alb = 0.058/(rmu + 0.30)
-      ! alb = 0.058/(rmu + 0.30) * 1.5
-      alb = 0.058/(rmu+0.30)*1.2
-      ! alb = 0.058/(rmu + 0.30) * 1.3
-      srmu = rmu
-      salb = alb*rmu
+          ! Faire l'integration numerique de midi a minuit (le facteur 2
+          ! prend en compte l'autre moitie de la journee):
+          DO k = 1, npts
+             rmu = aa + bb*cos(real(k)/real(npts)*zpi)
+             rmu = max(0.0, rmu)
+             ! IM cf. PB      alb = 0.058/(rmu + 0.30)
+             ! alb = 0.058/(rmu + 0.30) * 1.5
+             alb = 0.058/(rmu+0.30)*1.2
+             ! alb = 0.058/(rmu + 0.30) * 1.3
+             srmu = srmu + rmu*2.0
+             salb = salb + alb*rmu*2.0
+          END DO
+          IF (srmu/=0.0) THEN
+             albedo(i) = salb/srmu*fmagic + pmagic
+          ELSE ! nuit polaire (on peut prendre une valeur quelconque)
+             albedo(i) = fmagic
+          END IF
+       END DO
+    END IF
+    RETURN
+  END SUBROUTINE alboc
+  ! =====================================================================
+  SUBROUTINE alboc_cd(rmu0, albedo)
+    USE dimphy
 
-      ! Faire l'integration numerique de midi a minuit (le facteur 2
-      ! prend en compte l'autre moitie de la journee):
-      DO k = 1, npts
-        rmu = aa + bb*cos(real(k)/real(npts)*zpi)
-        rmu = max(0.0, rmu)
-        ! IM cf. PB      alb = 0.058/(rmu + 0.30)
-        ! alb = 0.058/(rmu + 0.30) * 1.5
-        alb = 0.058/(rmu+0.30)*1.2
-        ! alb = 0.058/(rmu + 0.30) * 1.3
-        srmu = srmu + rmu*2.0
-        salb = salb + alb*rmu*2.0
-      END DO
-      IF (srmu/=0.0) THEN
-        albedo(i) = salb/srmu*fmagic + pmagic
-      ELSE ! nuit polaire (on peut prendre une valeur quelconque)
-        albedo(i) = fmagic
-      END IF
-    END DO
-  END IF
-  RETURN
-END SUBROUTINE alboc
-! =====================================================================
-SUBROUTINE alboc_cd(rmu0, albedo)
-  USE dimphy
-  IMPLICIT NONE
-  ! ======================================================================
-  ! Auteur(s): Z.X. Li (LMD/CNRS)
-  ! date: 19940624
-  ! Calculer l'albedo sur l'ocean en fonction de l'angle zenithal moyen
-  ! Formule due a Larson and Barkstrom (1977) Proc. of the symposium
-  ! on radiation in the atmosphere, 19-28 August 1976, science Press,
-  ! 1977 pp 451-453, ou These de 3eme cycle de Sylvie Joussaume.
+    ! Auteur(s): Z.X. Li (LMD/CNRS)
+    ! date: 19940624
+    ! Calculer l'albedo sur l'ocean en fonction de l'angle zenithal moyen
+    ! Formule due a Larson and Barkstrom (1977) Proc. of the symposium
+    ! on radiation in the atmosphere, 19-28 August 1976, science Press,
+    ! 1977 pp 451-453, ou These de 3eme cycle de Sylvie Joussaume.
 
-  ! Arguments
-  ! rmu0    (in): cosinus de l'angle solaire zenithal
-  ! albedo (out): albedo de surface de l'ocean
-  ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
-  include "clesphys.h"
-  REAL rmu0(klon), albedo(klon)
+    ! Arguments
+    ! rmu0    (in): cosinus de l'angle solaire zenithal
+    ! albedo (out): albedo de surface de l'ocean
+    ! ======================================================================
+    include "clesphys.h"
+    REAL, intent(in):: rmu0(klon)
+    real, intent(out):: albedo(klon)
 
-  ! REAL fmagic ! un facteur magique pour regler l'albedo
-  ! cc      PARAMETER (fmagic=0.7)
-  ! ccIM => a remplacer
-  ! PARAMETER (fmagic=1.32)
-  ! PARAMETER (fmagic=1.0)
-  ! PARAMETER (fmagic=0.7)
+    ! REAL fmagic ! un facteur magique pour regler l'albedo
+    ! cc      PARAMETER (fmagic=0.7)
+    ! ccIM => a remplacer
+    ! PARAMETER (fmagic=1.32)
+    ! PARAMETER (fmagic=1.0)
+    ! PARAMETER (fmagic=0.7)
 
-  REAL fauxo
-  INTEGER i
-  ! ccIM
-  LOGICAL ancien_albedo
-  PARAMETER (ancien_albedo=.FALSE.)
-  ! SAVE albedo
+    REAL fauxo
+    INTEGER i
+    LOGICAL ancien_albedo
+    PARAMETER (ancien_albedo=.FALSE.)
 
-  IF (ancien_albedo) THEN
+    IF (ancien_albedo) THEN
+       DO i = 1, klon
+          fauxo = (1.47-acos(max(rmu0(i), 0.0)))/0.15
+          albedo(i) = fmagic*(.03+.630/(1.+fauxo*fauxo)) + pmagic
+          albedo(i) = max(min(albedo(i),0.60), 0.04)
+       END DO
+    ELSE
+       DO i = 1, klon
+          albedo(i) = fmagic*0.058/(max(rmu0(i), 0.0)+0.30) + pmagic
+          albedo(i) = max(min(albedo(i),0.60), 0.04)
+       END DO
+    END IF
 
-    DO i = 1, klon
+  END SUBROUTINE alboc_cd
 
-      rmu0(i) = max(rmu0(i), 0.0)
-
-      fauxo = (1.47-acos(rmu0(i)))/0.15
-      albedo(i) = fmagic*(.03+.630/(1.+fauxo*fauxo)) + pmagic
-      albedo(i) = max(min(albedo(i),0.60), 0.04)
-    END DO
-
-    ! nouvel albedo
-
-  ELSE
-
-    DO i = 1, klon
-      rmu0(i) = max(rmu0(i), 0.0)
-      ! IM:orig albedo(i) = 0.058/(rmu0(i) + 0.30)
-      albedo(i) = fmagic*0.058/(rmu0(i)+0.30) + pmagic
-      albedo(i) = max(min(albedo(i),0.60), 0.04)
-    END DO
-
-  END IF
-
-  RETURN
-END SUBROUTINE alboc_cd
-! ========================================================================
+end module albedo
Index: /LMDZ5/branches/testing/libf/phylmd/atm2geo.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/atm2geo.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/atm2geo.F90	(revision 2408)
@@ -6,5 +6,4 @@
   USE mod_phys_lmdz_para
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'
   INCLUDE 'YOMCST.h'
 !
Index: /LMDZ5/branches/testing/libf/phylmd/calbeta_clim.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/calbeta_clim.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/calbeta_clim.F90	(revision 2408)
@@ -14,4 +14,5 @@
 
   USE phys_cal_mod, only: year_len
+  USE print_control_mod, ONLY: prt_level
 
   implicit none
@@ -24,5 +25,4 @@
   real lat_nord,lat_sud
 
-  include "iniprint.h"
   !==============================================
 
Index: /LMDZ5/branches/testing/libf/phylmd/calcul_divers.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/calcul_divers.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/calcul_divers.h	(revision 2408)
@@ -8,5 +8,5 @@
          DO i=1, klon
             IF(pctsrf(i,is_ter).GT.0.) THEN
-               paire_ter(i)=airephy(i)*pctsrf(i,is_ter)
+               paire_ter(i)=cell_area(i)*pctsrf(i,is_ter)
             ENDIF 
          ENDDO
Index: /LMDZ5/branches/testing/libf/phylmd/calltherm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/calltherm.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/calltherm.F90	(revision 2408)
@@ -21,10 +21,8 @@
       USE dimphy
       USE indice_sol_mod
+      USE print_control_mod, ONLY: prt_level,lunout
 
       implicit none
-#include "dimensions.h"
-!#include "dimphy.h"
-#include "thermcell.h"
-#include "iniprint.h"
+      include "thermcell.h"
 
 
@@ -208,5 +206,5 @@
           else if (iflag_thermals.eq.11) then
               abort_message = 'cas non prevu dans calltherm'
-              CALL abort_gcm (modname,abort_message,1)
+              CALL abort_physic (modname,abort_message,1)
 
 !           CALL thermcell_pluie(klon,klev,zdt  &
@@ -260,5 +258,5 @@
          else
            abort_message = 'Cas des thermiques non prevu'
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
          endif
 
Index: /LMDZ5/branches/testing/libf/phylmd/calwake.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/calwake.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/calwake.F90	(revision 2408)
@@ -22,6 +22,4 @@
   IMPLICIT NONE
   ! ======================================================================
-  include "dimensions.h"
-  ! #include "dimphy.h"
   include "YOMCST.h"
 
